Subject: bug#28345: 25.2.1: package-install-file and dynamic modules

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 04 Jul 2021 16:44:57 +0200

Peking Duck <[email-masked]> writes:

> I wrote a dynamic module and am trying to use package.el to install it. I followed
> the instructions in the Emacs Lisp Manual and created a tar archive. This tar
> archive contains:
>
> sqlite3-api-0.1/
> sqlite3-api-0.1/sqlite3-api-pkg.el
> sqlite3-api-0.1/sqlite3-api.so
>
> I then evaluated
>
> (package-install-file "~/src/emacs-sqlite3-api/sqlite3-api-0.1.tar")
>
> and it gave me an error:
>
> (error "sqlite3-api.so:0:0: error: scan-error: (Containing expression ends
> prematurely 47501 47502)\
> ")
>
> From the backtrace, it's  autoload-generate-file-autoloads in autoload.el that
> caused it. Seems to me Emacs was trying to parse the .so looking for autoloads? 

(I'm going through old bug reports that unfortunately got no response at
the time.)

I'm not quite sure what the status of including .so files in Emacs
packages is now -- anybody know?  (.so files are architecture specific,
so I guess it's not something we do generally, but I guess people would
want to do it, anyway...) 

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no